Event Hubs - Create Or Update

Creates or updates a new Event Hub as a nested resource within a Namespace.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.EventHub/namespaces/{namespaceName}/eventhubs/{eventHubName}?api-version=2026-01-01

URI Parameters

Name In Required Type Description
eventHubName
path True

string

minLength: 1
maxLength: 256

The Event Hub name

namespaceName
path True

string

minLength: 6
maxLength: 50
pattern: ^[a-zA-Z][a-zA-Z0-9-]{6,50}[a-zA-Z0-9]$

The Namespace name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
properties.captureDescription

CaptureDescription

Properties of capture description

properties.messageRetentionInDays

integer (int64)

minimum: 1

Number of days to retain the events for this Event Hub, value should be 1 to 7 days

properties.messageTimestampDescription

MessageTimestampDescription

Properties of MessageTimestamp Description

properties.partitionCount

integer (int64)

minimum: 1

Number of partitions created for the Event Hub, allowed values are from 1 to 32 partitions.

properties.retentionDescription

RetentionDescription

Event Hub retention settings

properties.status

EntityStatus

Enumerates the possible values for the status of the Event Hub.

properties.userMetadata

string

Gets and Sets Metadata of User.

Responses

Name Type Description
200 OK

Eventhub

Resource 'Eventhub' update operation succeeded

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

EHEventHubCreate
EHEventHubWithCompactPolicyCreate
EHEventHubWithDeleteOrCompactPolicyCreate
EHEventHubWithDeletePolicyCreate

EHEventHubCreate

Sample request

PUT https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-5357/eventhubs/sdk-EventHub-6547?api-version=2026-01-01

{
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "partitionCount": 4,
    "status": "Active",
    "userMetadata": "key"
  }
}

Sample response

{
  "name": "sdk-EventHub-10",
  "type": "Microsoft.EventHub/Namespaces/EventHubs",
  "id": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-716/eventhubs/sdk-EventHub-10",
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "createdAt": "2017-06-28T02:45:55.877Z",
    "identifier": "identifierIDGUID",
    "messageRetentionInDays": 7,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "partitionIds": [
      "0",
      "1",
      "2",
      "3"
    ],
    "retentionDescription": {
      "cleanupPolicy": "Delete",
      "retentionTimeInHours": 168
    },
    "status": "Active",
    "updatedAt": "2017-06-28T02:46:05.877Z",
    "userMetadata": "key"
  }
}

EHEventHubWithCompactPolicyCreate

Sample request

PUT https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-5357/eventhubs/sdk-EventHub-6547?api-version=2026-01-01

{
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "messageRetentionInDays": 4,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "retentionDescription": {
      "cleanupPolicy": "Compact",
      "minCompactionLagTimeInMinutes": 10,
      "tombstoneRetentionTimeInHours": 1
    },
    "status": "Active",
    "userMetadata": "key"
  }
}

Sample response

{
  "name": "sdk-EventHub-10",
  "type": "Microsoft.EventHub/Namespaces/EventHubs",
  "id": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-716/eventhubs/sdk-EventHub-10",
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "createdAt": "2017-06-28T02:45:55.877Z",
    "identifier": "identifierIDGUID",
    "messageRetentionInDays": 4,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "partitionIds": [
      "0",
      "1",
      "2",
      "3"
    ],
    "retentionDescription": {
      "cleanupPolicy": "Compact",
      "minCompactionLagTimeInMinutes": 10,
      "retentionTimeInHours": -1,
      "tombstoneRetentionTimeInHours": 1
    },
    "status": "Active",
    "updatedAt": "2017-06-28T02:46:05.877Z",
    "userMetadata": "key"
  }
}

EHEventHubWithDeleteOrCompactPolicyCreate

Sample request

PUT https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-5357/eventhubs/sdk-EventHub-6547?api-version=2026-01-01

{
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "messageRetentionInDays": 4,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "retentionDescription": {
      "cleanupPolicy": "DeleteOrCompact",
      "retentionTimeInHours": 24
    },
    "status": "Active",
    "userMetadata": "key"
  }
}

Sample response

{
  "name": "sdk-EventHub-10",
  "type": "Microsoft.EventHub/Namespaces/EventHubs",
  "id": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-716/eventhubs/sdk-EventHub-10",
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "createdAt": "2017-06-28T02:45:55.877Z",
    "identifier": "identifierIDGUID",
    "messageRetentionInDays": 4,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "partitionIds": [
      "0",
      "1",
      "2",
      "3"
    ],
    "retentionDescription": {
      "cleanupPolicy": "DeleteOrCompact",
      "retentionTimeInHours": 24
    },
    "status": "Active",
    "updatedAt": "2017-06-28T02:46:05.877Z",
    "userMetadata": "key"
  }
}

EHEventHubWithDeletePolicyCreate

Sample request

PUT https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-5357/eventhubs/sdk-EventHub-6547?api-version=2026-01-01

{
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "messageRetentionInDays": 4,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "retentionDescription": {
      "cleanupPolicy": "Delete",
      "retentionTimeInHours": 24
    },
    "status": "Active",
    "userMetadata": "key"
  }
}

Sample response

{
  "name": "sdk-EventHub-10",
  "type": "Microsoft.EventHub/Namespaces/EventHubs",
  "id": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-NotificationHubs-AustraliaEast/providers/Microsoft.EventHub/namespaces/sdk-Namespace-716/eventhubs/sdk-EventHub-10",
  "properties": {
    "captureDescription": {
      "destination": {
        "name": "EventHubArchive.AzureBlockBlob",
        "identity": {
          "type": "UserAssigned",
          "userAssignedIdentity": "/subscriptions/SampleSubscription/resourceGroups/ResurceGroupSample/providers/Microsoft.ManagedIdentity/userAssignedIdentities/ud2"
        },
        "properties": {
          "archiveNameFormat": "{Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}",
          "blobContainer": "container",
          "storageAccountResourceId": "/subscriptions/e2f361f0-3b27-4503-a9cc-21cfba380093/resourceGroups/Default-Storage-SouthCentralUS/providers/Microsoft.ClassicStorage/storageAccounts/arjunteststorage"
        }
      },
      "enabled": true,
      "encoding": "Avro",
      "intervalInSeconds": 120,
      "sizeLimitInBytes": 10485763
    },
    "createdAt": "2017-06-28T02:45:55.877Z",
    "identifier": "identifierIDGUID",
    "messageRetentionInDays": 4,
    "messageTimestampDescription": {
      "timestampType": "LogAppend"
    },
    "partitionCount": 4,
    "partitionIds": [
      "0",
      "1",
      "2",
      "3"
    ],
    "retentionDescription": {
      "cleanupPolicy": "Delete",
      "retentionTimeInHours": 24
    },
    "status": "Active",
    "updatedAt": "2017-06-28T02:46:05.877Z",
    "userMetadata": "key"
  }
}

Definitions

Name Description
CaptureDescription

Properties to configure capture description for eventhub

CaptureIdentity

A value that indicates whether capture description is enabled.

CaptureIdentityType

Type of Azure Active Directory Managed Identity.

CleanupPolicyRetentionDescription

Enumerates the possible values for cleanup policy

createdByType

The type of identity that created the resource.

Destination

Capture storage details for capture description

EncodingCaptureDescription

Enumerates the possible values for the encoding format of capture description. Note: 'AvroDeflate' will be deprecated in New API Version

EntityStatus

Enumerates the possible values for the status of the Event Hub.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response indicates Event Hub service is not able to process the incoming request. The reason is provided in the error message.

Eventhub

Single item in List or Get Event Hub operation

MessageTimestampDescription

Properties of MessageTimestamp Description

RetentionDescription

Properties to configure retention settings for the eventhub

systemData

Metadata pertaining to creation and last modification of the resource.

TimestampType

Denotes the type of timestamp the message will hold.Two types of timestamp types - "AppendTime" and "CreateTime". AppendTime refers the time in which message got appended inside broker log. CreateTime refers to the time in which the message was generated on source side and producers can set this timestamp while sending the message. Default value is AppendTime. If you are using AMQP protocol, CreateTime equals AppendTime and its behavior remains the same.

CaptureDescription

Properties to configure capture description for eventhub

Name Type Description
destination

Destination

Properties of Destination where capture will be stored. (Storage Account, Blob Names)

enabled

boolean

A value that indicates whether capture description is enabled.

encoding

EncodingCaptureDescription

Enumerates the possible values for the encoding format of capture description. Note: 'AvroDeflate' will be deprecated in New API Version

intervalInSeconds

integer (int32)

The time window allows you to set the frequency with which the capture to Azure Blobs will happen, value should between 60 to 900 seconds

sizeLimitInBytes

integer (int32)

The size window defines the amount of data built up in your Event Hub before an capture operation, value should be between 10485760 to 524288000 bytes

skipEmptyArchives

boolean

A value that indicates whether to Skip Empty Archives

CaptureIdentity

A value that indicates whether capture description is enabled.

Name Type Description
type

CaptureIdentityType

Type of Azure Active Directory Managed Identity.

userAssignedIdentity

string

ARM ID of Managed User Identity. This property is required is the type is UserAssignedIdentity. If type is SystemAssigned, then the System Assigned Identity Associated with the namespace will be used.

CaptureIdentityType

Type of Azure Active Directory Managed Identity.

Value Description
SystemAssigned
UserAssigned

CleanupPolicyRetentionDescription

Enumerates the possible values for cleanup policy

Value Description
Delete
Compact
DeleteOrCompact

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

Destination

Capture storage details for capture description

Name Type Description
identity

CaptureIdentity

A value that indicates whether capture description is enabled.

name

string

Name for capture destination

properties.archiveNameFormat

string

Blob naming convention for archive, e.g. {Namespace}/{EventHub}/{PartitionId}/{Year}/{Month}/{Day}/{Hour}/{Minute}/{Second}. Here all the parameters (Namespace,EventHub .. etc) are mandatory irrespective of order

properties.blobContainer

string

Blob container Name

properties.dataLakeAccountName

string

The Azure Data Lake Store name for the captured events

properties.dataLakeFolderPath

string

The destination folder path for the captured events

properties.dataLakeSubscriptionId

string (uuid)

Subscription Id of Azure Data Lake Store

properties.storageAccountResourceId

string

Resource id of the storage account to be used to create the blobs

EncodingCaptureDescription

Enumerates the possible values for the encoding format of capture description. Note: 'AvroDeflate' will be deprecated in New API Version

Value Description
Avro
AvroDeflate

EntityStatus

Enumerates the possible values for the status of the Event Hub.

Value Description
Active
Disabled
Restoring
SendDisabled
ReceiveDisabled
Creating
Deleting
Renaming
Unknown

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response indicates Event Hub service is not able to process the incoming request. The reason is provided in the error message.

Name Type Description
error

ErrorDetail

The error object.

Eventhub

Single item in List or Get Event Hub operation

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.captureDescription

CaptureDescription

Properties of capture description

properties.createdAt

string (date-time)

Exact time the Event Hub was created.

properties.identifier

string

Denotes the unique identifier for event hub and is generated by service while creating topic. This identifier can be used in kafka runtime apis wherever a UUID is required e.g Fetch & Delete Topic. This identifier is not supported in AMQP runtime operations yet.

properties.messageRetentionInDays

integer (int64)

minimum: 1

Number of days to retain the events for this Event Hub, value should be 1 to 7 days

properties.messageTimestampDescription

MessageTimestampDescription

Properties of MessageTimestamp Description

properties.partitionCount

integer (int64)

minimum: 1

Number of partitions created for the Event Hub, allowed values are from 1 to 32 partitions.

properties.partitionIds

string[]

Current number of shards on the Event Hub.

properties.retentionDescription

RetentionDescription

Event Hub retention settings

properties.status

EntityStatus

Enumerates the possible values for the status of the Event Hub.

properties.updatedAt

string (date-time)

The exact time the message was updated.

properties.userMetadata

string

Gets and Sets Metadata of User.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

MessageTimestampDescription

Properties of MessageTimestamp Description

Name Type Description
timestampType

TimestampType

Denotes the type of timestamp the message will hold.Two types of timestamp types - "AppendTime" and "CreateTime". AppendTime refers the time in which message got appended inside broker log. CreateTime refers to the time in which the message was generated on source side and producers can set this timestamp while sending the message. Default value is AppendTime. If you are using AMQP protocol, CreateTime equals AppendTime and its behavior remains the same.

RetentionDescription

Properties to configure retention settings for the eventhub

Name Type Description
cleanupPolicy

CleanupPolicyRetentionDescription

Enumerates the possible values for cleanup policy

minCompactionLagTimeInMinutes

integer (int64)

The minimum time a message will remain ineligible for compaction in the log. This value is used when cleanupPolicy is Compact or DeleteOrCompact.

retentionTimeInHours

integer (int64)

Number of hours to retain the events for this Event Hub. This should be positive value upto namespace SKU max. -1 is a special case where retention time is infinite, but the size of an entity is restricted and its size depends on namespace SKU type.

tombstoneRetentionTimeInHours

integer (int32)

Number of hours to retain the tombstone markers of a compacted Event Hub. This value is used when cleanupPolicy is Compact or DeleteOrCompact. Consumer must complete reading the tombstone marker within this specified amount of time if consumer begins from starting offset to ensure they get a valid snapshot for the specific key described by the tombstone marker within the compacted Event Hub

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TimestampType

Denotes the type of timestamp the message will hold.Two types of timestamp types - "AppendTime" and "CreateTime". AppendTime refers the time in which message got appended inside broker log. CreateTime refers to the time in which the message was generated on source side and producers can set this timestamp while sending the message. Default value is AppendTime. If you are using AMQP protocol, CreateTime equals AppendTime and its behavior remains the same.

Value Description
LogAppend
Create